UPBRIGHT 5V AC/DC Adapter Compatible with Hatteker RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-9598 RSCX-9598A RSCX-9588 RSCX-7568 RSCW-7800 RSCW-2018 Trimmer Hair Clipper Shaver Razor Power Charger

$15.00

Replacement 5V AC/DC power adapter compatible with Hatteker trimmer, hair clipper, shaver and razor power charger devices, including RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-9598, RSCX-9598A, RSCX-9588, RSCX-7568, RSCW-7800 and RSCW-2018.

  • Output: 5V
  • Compatible Models: Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-9598, RSCX-9598A, RSCX-9588, RSCX-7568, RSCW-7800 and RSCW-2018 trimmer, hair clipper, shaver and razor power charger devices

Please confirm your device model, voltage and connector before ordering.

✓ In Stock✓ Fast Shipping✓ Secure Checkout✓ Compatibility Support

Trademark Notice: Third-party brand names and model numbers are used solely to identify compatibility. UpBright is an independent seller and is not affiliated with, endorsed by, or an authorized dealer of the referenced manufacturers. Unless expressly stated as Original or OEM, this is a third-party compatible replacement product. Products identified as Original or OEM are independently sourced and may not include the manufacturer’s warranty or support. Learn more

Category:

Product Description

The UPBRIGHT 5V AC/DC power adapter is compatible with specified Hatteker trimmer, hair clipper, shaver and razor power charger models, including RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-9598, RSCX-9598A, RSCX-9588, RSCX-7568, RSCW-7800 and RSCW-2018.

Product Specifications

Product Type AC/DC Power Adapter
Output 5V

Compatible Models

Compatible with the following Hatteker models and device types:

  • Hatteker RFC-588
  • Hatteker RFC-598
  • Hatteker RFC-690
  • Hatteker RFC-692
  • Hatteker RFC-696
  • Hatteker RSCX-9598
  • Hatteker RSCX-9598A
  • Hatteker RSCX-9588
  • Hatteker RSCX-7568
  • Hatteker RSCW-7800
  • Hatteker RSCW-2018
  • Trimmer
  • Hair Clipper
  • Shaver
  • Razor Power Charger

What Is Included

  • 1 × AC/DC power adapter

Compatibility Notice

A matching voltage does not always guarantee compatibility. Please compare the device model, output specifications, connector size and polarity with your original adapter before ordering.

Reviews

There are no reviews yet.

Only logged in customers who have purchased this product may leave a review.

has been added to the cart. View Cart